WorkCentre 3210/3220

WorkCentre 3210/3220 Support & Drivers

Supported Platforms: Linux

Supported Languages: Arabic, Brazilian Portuguese, Bulgarian, Czech, Danish, Dutch, English (Global), English (N. America), Finnish, French, French Canadian, German, Greek, Hungarian, Italiano, Norwegian, Polish, Portuguese, Romanian, Russian, Slovakian, Slovenian, Spanish, Swedish, Turkish, Ukrainian

File Download: WC 3210 Linux Driver

Linux Postscript driver for Redhat 8-9, Fedora Core 1-4, Mandrake 9.2-10.1, SUSE 8.2-9.2, Mandriva 2005/2006/2007 (32/64 bit), Ubuntu 6.06-7.04, Debian 3.1-4.0.

Caution: These drivers require minimum firmware version of 2.50.00.95.
Firmware version 2.50.00.95 and higher requires use of these drivers.

End User License Agreement

Click "Accept" to download, click "Decline" to cancel.

AcceptDecline